Bug 9561 - ошибки при установке пакета
: ошибки при установке пакета
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/scim)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-05-13 15:45 by
Modified: 2006-08-30 11:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-05-13 15:45:12
В настоящее время в ALT Linux используется более другой пакет alternatives (
http://alternatives.sourceforge.net/ ), чем тот, на который были рассчитаны
скрипты в секции %post.
Steps to Reproduce:
1. # apt-get install scim

Actual Results:  
2: scim                     
##########################################################################
[100%]
/root/tmp/rpm-tmp.91960: line 2: /usr/sbin/alternatives: No such file or
directory

<skip ditto="то же самое ещё 13 раз" />

error: execution of %post scriptlet from scim-1.4.4-alt1 failed, exit status
127
W: Some errors occurred while running transaction


Expected Results:  
нормальная установка пакета
------- Comment #1 From 2006-05-23 16:11:17 -------
fixed -alt2
------- Comment #2 From 2006-05-25 12:51:09 -------
Надеюсь, что

$ rpm -q --scripts scim
postuninstall scriptlet (through /bin/sh):
if [ "$1" = "0" ]; then
   for llcc in ja_JP ko_KR zh_CN zh_TW bn_IN gu_IN hi_IN kn_IN ml_IN pa_IN ta_IN
te_IN ne_NE th_TH; do
      /usr/sbin/alternatives --remove xinput-$llcc /etc/X11/xinit/xinput.d/scim || :
      # if alternative was set to manual scim, reset to auto
      [ -L /etc/alternatives/xinput-$llcc -a "`readlink
/etc/alternatives/xinput-$llcc`" = "/etc/X11/xinit/xinput.d/scim" ] &&
/usr/sbin/alternatives --auto xinput-$llcc || :
   done
fi

в -alt2 осталось совершенно случайно.

Не хочу казаться придирчивым, но вы сами-то пакет используете? Когда я собирал
scim себе "на посмотреть" - видел ещё и панель настройки scim + автозапуск scim
при старте gtk+2 приложений (причём в приложениях реально работал ввод символов,
отсутствующих на клавиатуре). Где это всё? Зачем scim в таком виде, что сейчас в
Sisyphus?
------- Comment #3 From 2006-06-06 15:54:14 -------
fixed -alt3